Goal proposal: Replace gksu because incompatible to at-spi

Martin Pitt martin.pitt at ubuntu.com
Thu Mar 4 21:48:08 GMT 2010


Hello Francesco,

Francesco Fumanti [2010-03-04 21:49 +0100]:
> Consequently, I wonder whether it can be possible to create an
> Ubuntu 10.10 goal (for Ubuntu 10.04 it might be to late) that aims
> to completely remove gksu from Ubuntu and replacing it by something
> else.

Another option than gksu-polkit would be "pkexec" which comes with
polkit directly. It has the big advantage of sharing the UI with all
the other polkit dialogs, so that we finally stop having multiple
different authentication dialogs.

Would that work?

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)



More information about the Ubuntu-devel-discuss mailing list